RSBag - Feature #1090

bag-* tools should be more robust against multiple SIG{INT,TERM} signals

07/19/2012 08:47 PM - J. Moringen

Status: Resolved Start date: 07/19/2012

Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%

Category: Estimated time: 0.00 hour

Target version: rsb-0.7

Description

Related issues:

Related to RSBag - Bug # 1088: bag-record sometimes produces broken files Rejected 07/19/2012

Duplicates RSBag - Enhancement # 1085: Block signals in signal handler writin...

Resolved 07/18/2012

Associated revisions

Revision 9a0bc36e - 07/19/2012 08:50 PM - J. Moringen
Handle multiple signals gracefully in common/interactive.lisp
fixes #1090
- common/interactive.lisp (with-interactive-interrupt-exit): install a

warning and ignoring signal handler before triggering the unwinding

History

#1 - 07/19/2012 08:51 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb:r3747.

#2 - 07/19/2012 09:22 PM - J. Wienke

Wasn't this a duplicate of #1085?

#3 - 07/19/2012 09:25 PM - J. Moringen

Yes, | somehow couldn't find find #1085 and assumed we had forgotten to file it. Sorry.
